[SOLVED] Building Reshade tagged 4.0 errors

  • Posts: 7
2 months 1 day ago - 2 months 22 hours ago #1 by DieuDeGlace
Hi all im trying to make a reshade edit to where I can disable the network checking of reshade 4.0 since that is the only one that works with the crew 2; however, when I try to build reshade through the debug on visual studio 2019 it keeps throwing errors in the files effect_codegen.hpp, effect_codegen_glsl/hlsl/spirv.cpp and effect_preprocessor.cpp. I cant seem to wrap my head around why these problems are coming up especially since 4.0 is relatively old and should've been pretty fleshed out if it was released. Any help is appreciated!

Edit: I fixed the errors by using visual studio 2017, latest version, however when I build it says there is a fody error of some sort. I don't know too much about fody or what it is exactly but I would like some help on trying to repair that error as its the only one that pops up now.

Please Log in or Create an account to join the conversation.

  • Posts: 7
2 months 19 hours ago #2 by DieuDeGlace
I fixed the problem by fixing some dependency files. Turns out the dependencies I was given were broken in some way and I just replaced them.

Please Log in or Create an account to join the conversation.